Skip site navigation (1)Skip section navigation (2)
Date:      Sun, 1 Aug 2010 10:38:19 +0000 (UTC)
From:      Peter Holm <pho@FreeBSD.org>
To:        src-committers@freebsd.org, svn-src-projects@freebsd.org
Subject:   svn commit: r210725 - projects/stress2/misc
Message-ID:  <201008011038.o71AcJVf073869@svn.freebsd.org>

next in thread | raw e-mail | index | archive | help
Author: pho
Date: Sun Aug  1 10:38:19 2010
New Revision: 210725
URL: http://svn.freebsd.org/changeset/base/210725

Log:
  Regression test added.

Added:
  projects/stress2/misc/nullfs6.sh   (contents, props changed)

Added: projects/stress2/misc/nullfs6.sh
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ projects/stress2/misc/nullfs6.sh	Sun Aug  1 10:38:19 2010	(r210725)
@@ -0,0 +1,51 @@
+#!/bin/sh
+
+#
+# Copyright (c) 2010 Peter Holm <pho@FreeBSD.org>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+#    notice, this list of conditions and the following disclaimer in the
+#    documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+
+# Lock violation panic regression test
+# Test scenario by Mikolaj Golub <to my trociny gmail com>
+# Fixed in r208773
+
+[ `id -u ` -ne 0 ] && echo "Must be root!" && exit 1
+
+. ../default.cfg
+
+mount | grep nullfs | grep -q /tmp/1 && umount /tmp/1
+
+rm -rf /tmp/1 /tmp/2
+mkdir /tmp/1 /tmp/2
+touch /tmp/1/test.file
+
+mount -t nullfs /tmp/1 /tmp/2
+
+cp /tmp/1/test.file /tmp/2/test.file	# scenario by kib
+mv /tmp/1/test.file /tmp/2/		# panics with lock violation
+
+umount /tmp/1
+rm -rf /tmp/1 /tmp/2



Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?201008011038.o71AcJVf073869>